## Typing stubs for ldap3

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`ldap3`](https://github.com/cannatag/ldap3) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `ldap3`. This version of
`types-ldap3` aims to provide accurate annotations for
`ldap3==2.9.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/ldap3`](https://github.com/python/typeshed/tree/main/stubs/ldap3)
directory.

This package was tested with
mypy 1.16.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`707cd57e4935d36e2c812ef6c650b8faa2890162`](https://github.com/python/typeshed/commit/707cd57e4935d36e2c812ef6c650b8faa2890162).